Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161694 - rather outdated version of the game.
Summary: rather outdated version of the game.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: scorched3d
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 158646 170175
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-25 23:04 UTC by Rudolf Kastl
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-11 21:54:32 UTC


Attachments (Terms of Use)

Description Rudolf Kastl 2005-06-25 23:04:04 UTC
Description of problem:
scorched3d              x86_64     37.2-1           extras-development   18 M
i have already tested scorched3d-38.1-1.rhfc3.nr on newrpms.sunsite.dk for fc3
and it appears to be working fine.

is there a reason for not updating to the latest upstream release of the game?

Comment 1 Rudolf Kastl 2005-08-19 18:11:58 UTC
39 is out now ;)

Comment 2 Ville Skyttä 2005-10-09 20:57:15 UTC
I've prepared a local update to 39.1, but it requires openal to be updated 
first (bug 170175). 

Comment 3 Ville Skyttä 2005-11-03 19:29:03 UTC
Ouch.  http://seclists.org/lists/fulldisclosure/2005/Nov/0079.html 
 
Also, IIRC Debian applies a big CVS patch, so 39.1 doesn't look like a very 
"good" release.  The security issues are present in older versions too, 
though. 

Comment 4 Hans de Goede 2006-02-05 08:54:43 UTC
I've taken ownership of scorched3d and will look into this (as time permits).

Comment 5 Rudolf Kastl 2006-02-08 10:26:46 UTC
thank you. scorched3d is a very nice game actually. but to be able to play
online you gotta have the newest version else you have trouble to connect to
existing multiplayer servers.

Comment 6 Hans de Goede 2006-02-11 18:57:40 UTC
I've been rather busy fixing all the security bugs mentioned in comment 3, days
of work literaly :| Anyways I'm glad to report this is all done now. I'll commit
4 different security patch files and a new spec to CVS soon.

I also found 2 additional bugs, resulting in 2 more patches.

Once the new version (39.1) with all the patches is build I'll close this.


Comment 7 Hans de Goede 2006-02-11 18:58:46 UTC
BTW those 2 extar bugs where once again security bugs. There still is a double
free on exit problem, I'll look at that later.


Comment 8 Hans de Goede 2006-02-11 21:54:32 UTC
scorched3d-39.1-2 has been built for devel / FC5 which fixes this.



Note You need to log in before you can comment on or make changes to this bug.